/api/v1/external-users/authenticate
const url = 'https://api.endless.zaia.app/api/v1/external-users/authenticate';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"channelId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","externalId":"example","id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","identifier":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.endless.zaia.app/api/v1/external-users/authenticate \ --header 'Content-Type: application/json' \ --data '{ "channelId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "externalId": "example", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "identifier": "example" }'Authenticates an external user.
Request Bodyrequired
Seção intitulada “Request Bodyrequired”object
A UUID v4 string that identifies an entity.
A UUID v4 string that identifies an entity.
Examplegenerated
{ "channelId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "externalId": "example", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "identifier": "example"}Responses
Seção intitulada “Responses”The external user was authenticated and access token generated.
object
A UUID v4 string that identifies an entity.
Whether the external user is blocked.
The ID of the channel associated with the external user.
External reference in the integrated system.
The ID of the external user group associated with the external user.
A unique identifier of the external user (usernames, emails, phone numbers and etc).
The display name of the external user.
The ID of the super identity associated with the external user.
The ID of the tier associated with the external user.
The ID of the workspace associated with the external user.
Examplegenerated
{ "createdAt": "2026-04-15T12:00:00Z", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "updatedAt": "2026-04-15T12:00:00Z", "blocked": true, "channelId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "externalId": "example", "externalUserGroupId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "identifier": "example", "name": "example", "superIdentityId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "tierId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "workspaceId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "accessToken": "example"}Invalid data provided.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}Unauthorized.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}Channel not found.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}